Bug 76796 - LABEL in root= options not working
Summary: LABEL in root= options not working
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-26 21:14 UTC by Sampson Fung
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-03 07:57:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Config file for grub (20 bytes, text/plain)
2002-10-26 21:17 UTC, Sampson Fung
no flags Details

Description Sampson Fung 2002-10-26 21:14:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Just after a fresh install of RH 8.0, the kernel line in grub reads:
   kernel /boot/vmlinux-2.4.18-14 ro root=LABEL=hdal
And it boots normally.

Then I download the kernel.*.2.4.18-17.8.0-i386.rpm, then the line reads:
   kernel /boot/vmlinuz-2.4.18-17.8.0 ro root=LABEL=hda1
Then ends in kernal panic that cannot mount root filesystem.

After changing root=/dev/hda1, it starts normally.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Change the root= to use LABEL, fails immediatelly
2.  Change the root= to use /dev, OK immediatelly
3.
	

Additional info:

Comment 1 Sampson Fung 2002-10-26 21:17:03 UTC
Created attachment 82227 [details]
Config file for grub

Comment 2 Jeremy Katz 2002-11-06 22:00:12 UTC
This doesn't look like the actual file.  Could you attach the actual grub.conf?

Comment 3 Jeremy Katz 2003-01-03 07:57:04 UTC
Closing due to inactivity.  Please reopen if you have any additional information
to add.


Note You need to log in before you can comment on or make changes to this bug.